Check the units of measure in the User CRS wizard
07/01/2014 05:49 AM - Antonio Falciano

Status: Closed % Done: 100%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: CRS
Target version: 2.1.0-2249-testing
Severity: Major Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: crs, units, semiaxis Proyecto:
Has patch: Yes Hito:
Add-on name: Unknown
Description

If I select an User CRS (e.g. 3857) in the "New CRS" wizard and then click on the Edit button, I see the semiaxis expressed in
millimeters, instead of meters.

Associated revisions
Revision 277 - 10/06/2014 05:42 AM - Joaquín  del Cerro Murciano

"New CRS" wizard, on the Edit button, I see the semiaxis expressed in millimeters, instead of meters. refs #2621

Revision 285 - 10/10/2014 11:25 AM - Joaquín  del Cerro Murciano

Terminar de aplicar el parche asociado al ticket #2621, refs #2621

History
#1 - 09/10/2014 12:48 PM - Antonio Falciano
- % Done changed from 0 to 100
- File DefinirDatum.patch added

Has patch: Yes

New unities of measure (uom) has been introduced in the latest versions of EPSG Registry, but they are unusual or inappropriate in reference to
semiaxis and longitude measures. Skipping these unities, the old values of uom are restored in the comboboxes of the User CRS wizard. I attach the
patch that solves the issue.

#2 - 09/11/2014 03:26 AM - Álvaro Anguix
- Has patch set to Yes

#3 - 09/15/2014 04:03 AM - Álvaro Anguix
- Assignee set to Joaquín  del Cerro Murciano

#4 - 09/26/2014 03:45 AM - Antonio Falciano
- Target version set to 2.1.0-2259-rc3

#5 - 10/06/2014 05:44 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#6 - 10/06/2014 07:42 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2248-testing

#7 - 10/07/2014 11:12 AM - Antonio Falciano
- Target version changed from 2.1.0-2248-testing to 2.1.0-2259-rc3
- Status changed from Fixed to New

Hi Joaquín, I reopen the ticket because only 50% of the patch was applied in gvsig-jcrs:r277, i.e. the correction of longitude is missing.

#8 - 10/10/2014 11:29 AM - Joaquín  del Cerro Murciano

Antonio Falciano wrote:

Hi Joaquín, I reopen the ticket because only 50% of the patch was applied in gvsig-jcrs:r277, i.e. the correction of longitude is missing.

Disculpa, tube problemas al aplicar los ultimos parches de jCRS y acabe metiendolos a mano y se me escaparia ese pedazo. Si no me he equivocado
esta terminado de aplicar en gvsig-jcrs:r285.

#9 - 10/10/2014 11:30 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#10 - 10/13/2014 04:39 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2249-testing

#11 - 10/14/2014 09:47 AM - Antonio Falciano
- Status changed from Fixed to Closed

Files
DefinirDatum.patch 1.48 KB 09/10/2014 Antonio Falciano
